package com.iformall.enums;


/**
 * @author gongbiao
 */
public enum EnumActivityJoinStatus {

    NOT_CONFIRMED(0, "未确认"),
    CONFIRMED(1, "已确认"),
    CANCEL(2, "已取消"),
    EXPIRED(3, "活动过期"),;

    public static EnumActivityJoinStatus getEnum(Integer code) {
        for (EnumActivityJoinStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumActivityJoinStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
